% maze = maze_load(filename);
% By Jeremy Kubica, 2003
%
% Reads and returns a maze from a file with the given name.
% Type 'help maze' for more information
function maze = maze_load(filename)

fid = fopen(filename,'r');

% Read in the number of rows and colums
[A] = fscanf(fid,'%i',[2 1]);
R = A(1);
C = A(2);

% Create the matrix
maze = maze_create(C,R);

% Read in the remainder of the matrix (one line at a time)
for k = 1:(R*C)
    [temp] = fscanf(fid,'%i',[1 4]);
    maze.adjacent(k,:) = temp;
end
maze.start = fscanf(fid, '%i', 1);
maze.goals = fscanf(fid, '%i')';
fclose(fid);