% neighbors = maze_neighbors(maze, ind);
% By Henry Lin, 2008
%
% Returns neighbors (in indeces) of the given cell (in index).
% Neighbors will be in this order: north, east, south, west.
% For example, if one can go S/W on a cell 7 or (2,2) in a 5x5 maze, 
% maze_neighbors(maze, 7) returns [8, 2]
function neighbors = maze_neighbors(maze, ind)

neighbors = [];
if ind < 1 || ind > maze.R * maze.C, return; end

[x, y] = maze_XY_from_index(maze, ind);
if y > 1      && maze.adjacent(ind,1), neighbors(end+1) = ind-1;      end
if x < maze.C && maze.adjacent(ind,2), neighbors(end+1) = ind+maze.R; end
if y < maze.R && maze.adjacent(ind,3), neighbors(end+1) = ind+1;      end
if x > 1      && maze.adjacent(ind,4), neighbors(end+1) = ind-maze.R; end
